#[cfg(test)]
mod tests {
    use std::collections::HashMap;
    use image::io::Reader;
    use rusty_tesseract::{Args, Image};
    use crate::ocr::ocr::ocr::find_text_in_image;


    #[test]
    fn test_ocr_image() {
        println!("ocr !");

        // let img = Image::from_path("test/image/group_5.png").expect("image not found");
        let img = Image::from_path("test/image/sb.png").expect("image not found");
        let mut args = Args {
            lang: "chi_sim".to_string(),
            config_variables: Default::default(),
            dpi: Some(300),
            psm: Some(1),
            oem: Some(3),
        };

        // string output
        let output = rusty_tesseract::image_to_string(&img, &args).expect("ocr error!");
        println!("The String output is: {:?}", output);

    }

    #[test]
    fn test_ocr_dynamic_image() {
        let dynamic_image = Reader::open("test/image/1.png")
            .unwrap()
            .decode()
            .unwrap();
        let key_words = vec!["头目".to_string(),"白银山".to_string()];
        let has_word = find_text_in_image(&key_words,&dynamic_image);

        println!("含有关键词：{}",has_word);

    }



}