#[cfg(feature = "pokemmo")]
pub mod pokemmo_const_value{
    use crate::screen::screen::screen::Area;

    pub(crate) const LOGO: Area = Area{
        left: 0,
        right: 80,
        top: 0,
        bottom: 20,
        psm : 3,
    };
    pub(crate) const MAP_CITY: Area = Area{
        left: 0,
        right: 250,
        top: 24,
        bottom: 55,
        psm : 7,
    };
    pub(crate) const SHORTCUT_KEY_1: Area = Area{
        left: 255,
        right: 298,
        top: 28,
        bottom: 70,
        psm : 8,
    };
    pub(crate) const SHORTCUT_KEY_5: Area = Area{
        left: 445,
        right: 485,
        top: 28,
        bottom: 70,
        psm : 8,
    };
    pub(crate) const TEXT_AREA: Area = Area{
        left: 0,
        right: 800,
        top: 1020,
        bottom: 1340,
        psm : 6,
    };
    // 战斗对话狂
    pub(crate) const TEMP_BATTLE_TEXT_AREA: Area = Area{
        left: 400,
        right: 1100,
        top: 850,
        bottom: 1020,
        psm : 6,
    };
    pub(crate) const LAST_TEXT_AREA: Area = Area{
        left: 0,
        right: 800,
        top: 1295,
        bottom: 1340,
        psm : 7,
    };
    pub(crate) const SINGLE_BATTLE: Area = Area{
        left: 400,
        right: 800,
        top: 180,
        bottom: 260,
        psm : 3,
    };
    pub(crate) const GROUP_5_1: Area = Area{
        left: 700,
        right: 1050,
        top: 90,
        bottom: 148,
        psm : 3,
    };
    pub(crate) const GROUP_5_2: Area = Area{
        left: 1100,
        right: 1400,
        top: 90,
        bottom: 148,
        psm : 3,
    };
    pub(crate) const GROUP_5_3: Area = Area{
        left: 1500,
        right: 1800,
        top: 90,
        bottom: 148,
        psm : 3,
    };
    pub(crate) const GROUP_5_4: Area = Area{
        left: 740,
        right: 1050,
        top: 170,
        bottom: 210,
        psm : 3,
    };
    pub(crate) const GROUP_5_5: Area = Area{
        left: 1500,
        right: 1800,
        top: 170,
        bottom: 210,
        psm : 3,
    };

    pub(crate) const BUTTON_HL_1: Area = Area{
        left: 392,
        right: 406,
        top: 863,
        bottom: 878,
        psm : 3,
    };
    pub(crate) const BUTTON_HL_2: Area = Area{
        left: 708,
        right: 722,
        top: 863,
        bottom: 878,
        psm : 3,
    };
    pub(crate) const BUTTON_HL_3: Area = Area{
        left: 392,
        right: 406,
        top: 942,
        bottom: 957,
        psm : 3,
    };
    pub(crate) const BUTTON_HL_4: Area = Area{
        left: 708,
        right: 722,
        top: 942,
        bottom: 957,
        psm : 3,
    };


    #[derive(Debug)]
    pub enum PokemmoStatus {
        // 遇见闪光
        MeetTarget,
        // 无状态
        Free,
        // 加载遇怪动画
        LoadBattle,
        // 遇怪状态
        InBattle,
        // 逃跑中
        Running,
        // 检查逃跑成功
        CheckRun,

    }


}


